import { CategoryControl } from "./CategoryControl";
import { LoggerControl } from "./LogGroupControl";
/**
 * LogControl interface
 */
export interface LogControl {
    /**
     * Prints the help.
     */
    help(): void;
    /**
     * Shows an example on usage.
     */
    example(): void;
    /**
     * Return LoggerControl object related to LFService/LoggerFactories.
     */
    getLFServiceControl(): LoggerControl;
    /**
     * Return CategoryControl object.
     */
    getCategoryControl(): CategoryControl;
}
export declare class LogControlImpl implements LogControl {
    private static _help;
    private static _example;
    help(): void;
    example(): void;
    getLFServiceControl(): LoggerControl;
    getCategoryControl(): CategoryControl;
}
